#ifdef AZURE_SERVICE_FABRIC

#ifndef UNLOGGED_HELPER_H
#define UNLOGGED_HELPER_H

#include "postgres_ext.h"

extern char *base_pgsql_tmp_directory;

void init_unlogged_table_hash(void);

void *add_to_unlogged_table_hash(Oid relId);

void *remove_from_unlogged_table_hash(Oid relId);

bool is_unlogged_relation(Oid relId);

void ensure_unlogged_table_directory(void);

#endif   /* UNLOGGED_HELPER_H */

#endif