#ifndef XPROCGROUPS_H
#define XPROCGROUPS_H

#if defined(AZURE_SERVICE_FABRIC) && defined(WIN32) && !defined(DISABLE_MULTIPLE_PROCESSOR_GROUPS)
#define ENABLE_MULTIPLE_PROCESSOR_GROUPS
#endif

#ifdef ENABLE_MULTIPLE_PROCESSOR_GROUPS
#include <windows.h>

extern BOOL SetThreadGroupAffinity(HANDLE hThread, GROUP_AFFINITY *GroupAffinity, PGROUP_AFFINITY PreviousGroupAffinity);
extern BOOL GetLogicalProcessorInformationEx(LOGICAL_PROCESSOR_RELATIONSHIP RelationshipType, PSYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX Buffer, PDWORD ReturnedLength);

extern void BuildProcessorGroupMap();

extern bool ShouldRedistributeThreadGroup();

extern void RedistributeThreadGroup(int threadId, HANDLE threadHandle);

#endif

#endif   /* XPROCGROUPS */
