/*-------------------------------------------------------------------------
 *
 * sharedmemipc.h
 *	Common macros for shared memory based IPC between postmaster
 *	and backends.
 *
 * IDENTIFICATION
 *	  src/include/sharedmemipc.h
 *
 *-------------------------------------------------------------------------
 */

#ifndef SHAREDMEMIPC_H
#define SHAREDMEMIPC_H

#define	PGSIGNAL_SHARED_MEM_SEG_SIZE		(2 * sizeof(BYTE))
#define	PGSIGNAL_SHARED_MEM_SEG_NAME		"pgsignal_shared_mem"
#define	PGSIGNAL_SHARED_MEM_MUTEX			"pgsignal_shared_mem_mutex"
#define	PGSIGNAL_SHARED_MEM_EVENT_READ		"pgsignal_shared_mem_event_read"
#define	PGSIGNAL_SHARED_MEM_EVENT_WRITE		"pgsignal_shared_mem_event_write"
#define	PGSIGNAL_PROCESS_EXIT_EVENT			"pgsignal_process_exit_event"

#endif
