/*-------------------------------------------------------------------------
 *
 * servicefabricendpoint.h
 *
 */

#ifdef AZURE_SERVICE_FABRIC

#define XDB_ENDPOINTS(ENDPOINT_DESC) \
	ENDPOINT_DESC(XDB_ENDPOINT_PG_PORT,         nullptr,    L"postgres:",0,       0,    nullptr,                              nullptr,               L"PgPort",             XDB_TDS_INVALID,    UCS_ENDPOINT(Invalid),            SNI_CONSUMER_TYPE_INVALID) \
	\

#define XDB_ENDPOINTS_ENUM(enumVal, prefix, directPrefix, redirectorPort, hostPort, azureEndpoint, winfabEndpoint, directEndpoint, tdsConnType, ucsEndpointType, sniType) \
		enumVal,

#define XDB_ENDPOINTS_PREFIX(enumVal, prefix, directPrefix, redirectorPort, hostPort, azureEndpoint, winfabEndpoint, directEndpoint, tdsConnType, ucsEndpointType, sniType) \
		prefix, 

/* 
 * Enum: XdbEndpointType
 *
 */
typedef enum  XdbEndpointType
{
	XDB_ENDPOINTS(XDB_ENDPOINTS_ENUM)
	XDB_ENDPOINT_COUNT,
	XDB_ENDPOINT_LAST = XDB_ENDPOINT_COUNT - 1,
}XdbEndpointType;


#endif
